Subject: administratively scoped addresses and sdr

From: [email-masked]
Date: Wed, 1 Apr 1998 12:55:57 +0200 (MET DST)

Hello,

we are thinking about using administratively scoped addresses in the
german scientific network. The following is a summary of a discussion
we had.

One area e.g 239.192/16 should cover our whole net.
A second area e.g 239.193/16 should cover a backbone region (we have 7
at the moment)

 Now the question arises, how to make it easy for the users to use the
 new address areas ?

 At first we thought let's produce a special sdr.tcl file and distribute
 it through our ftp-sites.

  In this file we configure the new areas and the new addresses for
  sdr-area-announcements like this:

  add_admin "Local Scope"      239.255.255.255  9875   239.255.0.0   16    15
  add_admin "BWIN-Site"        239.254.255.255  9875   239.254.0.0   16    47
  add_admin "BWIN-Region"      239.193.255.255  9875   239.193.0.0   16    47
  add_admin "BWIN-DE"          239.192.255.255  9875   239.192.0.0   16    47
  add_admin "World (ttl 127)"  224.2.127.254    9875   224.2.128.0   17    127
  add_admin "Region (ttl 63)"  224.2.127.254    9875   224.2.128.0   17    63
  add_admin "DE (ttl 47)"      224.2.127.254    9875   224.2.128.0   17    47
  add_admin "local (ttl 15)"   224.2.127.254    9875   224.2.128.0   17    15

  This approach has the drawback, that people who haven't been reached
  thru mail or don't know how to place the sdr.tcl file right, will
  neither see any announcements for the net as a whole (the BWIN-DE area)
  nor their local region. They will have the impression that only
  foreigners are using the mbone. A slightly wrong one.

 One suggestion said, let's use the scoped address areas but let the
 announcements go to the usual 224.2.127.254 address.

 This approach has at least the drawback that you will get probably
 quite a few mails, asking why somebody can see the group but can't get
 the traffic. 
 Someone said, that's no problem, it's like TV you can't receive every
 program you see in a TV-program listing.

 What is bad in both scenarios, is that you have to make the people
 download new configuration files if you want to change something.

 Another suggestion is, to do the configuration by providing a localized
 version of sdr. Where sdr prints in its main window in big red letters:
 "I AM LOCALIZED FOR USE IN ....". 
 Another pro argument was, that it's less error prone if people
 download binaries.
 Out of obvious reasons we won't do that, but what i like is that sdr
 says in its main window something about its configuration.
 It should not be to difficult to integrate something like this into
 sdr through it's config file (sdr.tcl) ?
 
 The last suggestion is to do the configuration dynamically through
 a multicast address. I think that most people would prefer it that way
 but since we want to do something this year this suggestion  has to
 be left a side.

 I would like to hear what experiences and opinions others have
 concerning the deployment of administratively scoped addresses and which
 scheme they use to distribute this information to (sdr) the user.

 Thanks Peter H.